# SMALLINT data type

SMALLINT provides 2 bytes of storage.

#### Syntax

    SMALLINT

#### Corresponding compile-time Java type

java.lang.Short

#### JDBC metadata type (java.sql.Types)

SMALLINT

#### Minimum value

-32768 (java.lang.Short.MIN_VALUE)

#### Maximum value

32767 (java.lang.Short.MAX_VALUE)

When mixed with other data types in expressions, the resulting data type follows the rules shown in Numeric type promotion in expressions.

See also Storing values of one numeric data type in columns of another numeric data type.

Constants in the appropriate format always map to INTEGER or BIGINT, depending on their length.

Parent topic: Data types